gr::lte::pbch_demux_vcvc_impl Class Reference

`#include <pbch_demux_vcvc_impl.h>`

Inheritance diagram for gr::lte::pbch_demux_vcvc_impl:
[legend]

## Public Member Functions

| pbch_demux_vcvc_impl (int N_rb_dl, int rxant, std::string name)
| ~pbch_demux_vcvc_impl ()
void | set_cell_id (int id)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::lte::pbch_demux_vcvc
typedef boost::shared_ptr< pbch_demux_vcvc > | sptr
Static Public Member Functions inherited from gr::lte::pbch_demux_vcvc
static sptr | make (int N_rb_dl, int rxant, std::string name="pbch_demux_vcvc")
| Return a shared_ptr to a new instance of lte::pbch_demux_vcvc.

## Constructor & Destructor Documentation

## pbch_demux_vcvc_impl()

gr::lte::pbch_demux_vcvc_impl::pbch_demux_vcvc_impl | ( | int | N_rb_dl,
|  | int | rxant,
|  | std::string | name )

## ~pbch_demux_vcvc_impl()

gr::lte::pbch_demux_vcvc_impl::~pbch_demux_vcvc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::lte::pbch_demux_vcvc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::lte::pbch_demux_vcvc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## set_cell_id()

void gr::lte::pbch_demux_vcvc_impl::set_cell_id | ( | int | id | ) |

virtual

Implements gr::lte::pbch_demux_vcvc.

The documentation for this class was generated from the following file:

- pbch_demux_vcvc_impl.h